%define module carrot

Name:           python-%{module}
Version:        0.10.7
Release:        %mkrel 2
Url:            http://github.com/ask/carrot/
Summary:        AMQP Messaging Framework for Python
License:        BSD
Group:          Development/Python
Source:         %{module}-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-amqplib
Requires:       python-anyjson
BuildArch:      noarch

%description
An AMQP messaging queue framework. AMQP is the Advanced Message
Queuing Protocol, an open standard protocol for message orientation, queuing,
routing, reliability and security.

The aim of carrot is to make messaging in Python as easy as possible by
providing a high-level interface for producing and consuming messages. At the
same time it is a goal to re-use what is already available as much as possible.

%files
%doc Changelog README TODO
%{python_sitearch}/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT --install-purelib=%{python_sitearch}



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.10.7-2.mga3
+ Revision: 378521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 0.10.7-1.mga3
+ Revision: 314166
- imported package python-carrot

